<template>
<footer>
  <router-link to="/about">about</router-link>
  <button type="button" class="darklight-mode" @click="toggleDarkLight" v-if="theme === 'dark-mode'">light mode</button>
  <button type="button" class="darklight-mode" @click="toggleDarkLight" v-else>dark mode</button>
</footer>
</template>

<script>
export default {
  computed: {
    theme () {
      return this.$store.state.theme
    }
  },
  methods: {
    toggleDarkLight () {
      var body = document.getElementById('body')
      var currentClass = body.className
      body.className = currentClass === 'dark-mode' ? 'light-mode' : 'dark-mode'
      this.$store.commit('setTheme', body.className)
    }
  },
  mounted: function () {
    var body = document.getElementById('body')
    body.className = this.theme
  }
}
</script>

<style scoped>
.darklight-mode {
  background: none;
  color: inherit;
  border: none;
  padding: 0;
  font: inherit;
  cursor: pointer;
  outline: inherit;
}
</style>
